<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Color</title>

    <style>

        .rectangle_alignment {
            margin-top: 10%;
            margin-left: 10%;
            border: solid 3px #00528c;
            box-shadow: #00528c 3px 3px;
            border-radius: 10px;
        }

    </style>

</head>
<body>

<script>
    'use strict';

    //1 объявить глобальную переменную color
    var color;

    //2 объявить функцию setColor()
    function setColor() {

        //3 в функции setColor() объявить локальную переменную color
        var color;

        //4 с вероятностью 50% задать значение локальной переменной или глобальной
        var randNum = Math.floor(Math.random() * 2 + 1);

        //5 для глобальной переменной задается цвет красный
        window.color = "red";

        //5для локальной переменной задается цвет черный
        color = "black";

        //6 вывести значение локальной и глобальной переменной в консоль через console.log()
        console.log("Global variable color : " + window.color);
        console.log("Local variable color : " + color);

        //7 передать значение измененной переменной в функцию drawBox()
        switch (randNum) {
            case 1: {
                drawBox(color);
            }
                break;

            case 2: {
                drawBox(window.color);
            }
                break;
        }
    }

    //8 объявить функцию drawBox() с одним параметром color
    function drawBox(color) {

        //9 вывести через document.writeln() в html блочный элемент (div) закрашенный цветом color
        document.writeln("<div class='rectangle_alignment' style='height: 200px; width: 300px; background-color: ");
        document.writeln(color);
        document.writeln("'></div>");
    }

    setColor();

</script>

</body>
</html>